<?php

namespace App\Http\Controllers;

use App\Models\alunos;
use App\Models\turmas;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class AlunosController extends Controller
{
    public function index()
    {
        $escolaId = Auth::user()->id_escola;
        if ($escolaId == 0) {
            $alunos = alunos::all();
        } else {
            $alunos = [];
            $turmas = turmas::where('id_escola', $escolaId)->get();
            foreach ($turmas as $turma) {
                $alunosget = alunos::where('id_turma', $turma->id)->get();

                foreach ($alunosget as $alunosg) {
                    $alunos[] = $alunosg;
                }
            }
        }
        return view('escolas.alunos', compact('alunos'));
    }
}
